For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
        • GETList Push Notification Apps
        • GETFetch a Push Notification App
        • PATCHUpdate a Push Notification App
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush NotificationsApps

List Push Notification Apps

GET
https://comms.twilio.com/v1/PushNotifications/Apps
GET
/v1/PushNotifications/Apps
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.apps.list({});
9}
10main();
1{
2 "apps": [
3 {
4 "name": "limonade_app",
5 "isDefault": true,
6 "defaultCredentials": [
7 {
8 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
9 "credentialType": "FCM",
10 "createdAt": "2023-08-31T14:15:22Z",
11 "updatedAt": "2023-08-31T14:15:22Z"
12 },
13 {
14 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq9",
15 "credentialType": "APN",
16 "createdAt": "2023-08-31T14:15:22Z",
17 "updatedAt": "2023-08-31T14:15:22Z"
18 }
19 ],
20 "createdAt": "2023-08-31T14:15:22Z",
21 "updatedAt": "2023-08-31T14:15:22Z"
22 },
23 {
24 "name": "limonade_eats_app",
25 "isDefault": false,
26 "defaultCredentials": [
27 {
28 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
29 "credentialType": "FCM",
30 "createdAt": "2023-08-31T14:15:22Z",
31 "updatedAt": "2023-08-31T14:15:22Z"
32 },
33 {
34 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
35 "credentialType": "APN",
36 "createdAt": "2023-08-31T14:15:22Z",
37 "updatedAt": "2023-08-31T14:15:22Z"
38 }
39 ],
40 "createdAt": "2023-08-31T14:15:22Z",
41 "updatedAt": "2023-08-31T14:15:22Z"
42 }
43 ],
44 "pagination": {
45 "next": null,
46 "self": "eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ=="
47 }
48}
List an account's Apps that match the provided filters. An account may have up to 10 Apps at a time.
Was this page helpful?
Previous

Fetch a Push Notification App

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

startDatestringOptionalformat: "date-time"
Filter to Push Notification Apps created after the specified date and time.
endDatestringOptionalformat: "date-time"
Filter to Push Notification Apps created before the specified date and time.
isDefaultbooleanOptional

Filter by App.isDefault.

pageTokenstringOptional
The token to retrieve the next page of results.
pageSizeintegerOptional1-1000Defaults to 50
The number of resources to return in a page.

Response

OK
appslist of objects
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error